#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: STMonadTrans
version: 0.4.3
id: STMonadTrans-0.4.3-EwuLRjXHjqhA7PmvwSfVjr
key: STMonadTrans-0.4.3-EwuLRjXHjqhA7PmvwSfVjr
license: BSD-3-Clause
maintainer: josef.svenningsson@gmail.com
author: Josef Svenningsson
synopsis: A monad transformer version of the ST monad
description:
    A monad transformer version of the ST monad
    Warning! This monad transformer should not be used with monads that
    can contain multiple answers, like the list monad. The reason is that
    the state token will be duplicated across the different answers and
    this causes Bad Things to happen (such as loss of referential
    transparency). Safe monads include the monads State, Reader, Writer,
    Maybe and combinations of their corresponding monad transformers.
category: Monads
abi: 0c09d133fe82e5d44f9c1dddba4d00c8
exposed: True
exposed-modules:
    Control.Monad.ST.Trans Control.Monad.ST.Trans.Internal
import-dirs: /usr/lib/ghc-8.4.2/site-local/STMonadTrans-0.4.3
library-dirs: /usr/lib/ghc-8.4.2/site-local/STMonadTrans-0.4.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/STMonadTrans-0.4.3
hs-libraries: HSSTMonadTrans-0.4.3-EwuLRjXHjqhA7PmvwSfVjr
depends:
    base-4.11.1.0 mtl-2.2.2 array-0.5.2.0
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             array-0.5.2.0=59560c027ff6ea5b7e467a38c579b575
haddock-interfaces: /usr/share/doc/haskell-stmonadtrans/html/STMonadTrans.haddock
haddock-html: /usr/share/doc/haskell-stmonadtrans/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

